Folks.Utils – folks Reference Manual

# Utils

## Object Hierarchy:

## Description:

public class Utils : Object

Utility functions to simplify common patterns in Folks client code.

These may be used by folks clients as well, and are part of folks' supported stable API.

## Since:

0.6.0

Namespace: Folks
Package: folks

## Content:

### Static methods:

- public static bool multi_map_str_afd_equal (MultiMap<string,AbstractFieldDetails> a, MultiMap<string,AbstractFieldDetails> b)
  Check whether two multi-maps of strings to AbstractFieldDetails are equal.
- public static bool multi_map_str_str_equal (MultiMap<string,string> a, MultiMap<string,string> b)
  Check whether two multi-maps of strings to strings are equal. This performs a deep check for equality, checking whether both maps are of the same size, and that each key maps to the same set of values in both maps.
- public static bool set_afd_equal (Set<AbstractFieldDetails> a, Set<AbstractFieldDetails> b)
  Check whether a set of strings to AbstractFieldDetails are equal.
- public static bool set_string_afd_equal (Set<AbstractFieldDetails<string>> a, Set<AbstractFieldDetails<string>> b)
  Check whether a set of AbstractFieldDetails with string values are equal.

### Creation methods:

- public Utils ()
  Create a new utilities object.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref